/****************************************************************************
**
** Copyright (C) 2016 The Qt Company Ltd.
** Contact: https://www.qt.io/licensing/
**
** This file is part of Qt for Python.
**
** $QT_BEGIN_LICENSE:LGPL$
** Commercial License Usage
** Licensees holding valid commercial Qt licenses may use this file in
** accordance with the commercial license agreement provided with the
** Software or, alternatively, in accordance with the terms contained in
** a written agreement between you and The Qt Company. For licensing terms
** and conditions see https://www.qt.io/terms-conditions. For further
** information use the contact form at https://www.qt.io/contact-us.
**
** GNU Lesser General Public License Usage
** Alternatively, this file may be used under the terms of the GNU Lesser
** General Public License version 3 as published by the Free Software
** Foundation and appearing in the file LICENSE.LGPL3 included in the
** packaging of this file. Please review the following information to
** ensure the GNU Lesser General Public License version 3 requirements
** will be met: https://www.gnu.org/licenses/lgpl-3.0.html.
**
** GNU General Public License Usage
** Alternatively, this file may be used under the terms of the GNU
** General Public License version 2.0 or (at your option) the GNU General
** Public license version 3 or any later version approved by the KDE Free
** Qt Foundation. The licenses are as published by the Free Software
** Foundation and appearing in the file LICENSE.GPL2 and LICENSE.GPL3
** included in the packaging of this file. Please review the following
** information to ensure the GNU General Public License requirements will
** be met: https://www.gnu.org/licenses/gpl-2.0.html and
** https://www.gnu.org/licenses/gpl-3.0.html.
**
** $QT_END_LICENSE$
**
****************************************************************************/

//workaround to access protected functions
#define protected public

// default includes
#include <shiboken.h>
#ifndef QT_NO_VERSION_TAGGING
#  define QT_NO_VERSION_TAGGING
#endif
#include <QDebug>
#include <pysidesignal.h>
#include <pysideproperty.h>
#include <pyside.h>
#include <pysideqenum.h>
#include <feature_select.h>
QT_WARNING_DISABLE_DEPRECATED

#include <typeinfo>
#include <iterator>

// module include
#include "pyside6_qtqml_python.h"

// main header
#include "qjsprimitivevalue_wrapper.h"

// inner classes

// Extra includes
#include <QtQml/qjsprimitivevalue.h>


#include <cctype>
#include <cstring>



template <class T>
static const char *typeNameOf(const T &t)
{
    const char *typeName =  typeid(t).name();
    auto size = std::strlen(typeName);
#if defined(Q_CC_MSVC) // MSVC: "class QPaintDevice * __ptr64"
    if (auto lastStar = strchr(typeName, '*')) {
        // MSVC: "class QPaintDevice * __ptr64"
        while (*--lastStar == ' ') {
        }
        size = lastStar - typeName + 1;
    }
#else // g++, Clang: "QPaintDevice *" -> "P12QPaintDevice"
    if (size > 2 && typeName[0] == 'P' && std::isdigit(typeName[1])) {
        ++typeName;
        --size;
    }
#endif
    char *result = new char[size + 1];
    result[size] = '\0';
    memcpy(result, typeName, size);
    return result;
}


// Target ---------------------------------------------------------

extern "C" {
static int
Sbk_QJSPrimitiveValue_Init(PyObject *self, PyObject *args, PyObject *kwds)
{
    SbkObject *sbkSelf = reinterpret_cast<SbkObject *>(self);
    PySide::Feature::Select(self);
    if (Shiboken::Object::isUserType(self) && !Shiboken::ObjectType::canCallConstructor(self->ob_type, Shiboken::SbkType< ::QJSPrimitiveValue >()))
        return -1;

    ::QJSPrimitiveValue *cptr{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtQml.QJSPrimitiveValue.__init__";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp[1];
    SBK_UNUSED(pythonToCpp)
    const Py_ssize_t numArgs = PyTuple_GET_SIZE(args);
    SBK_UNUSED(numArgs)
    PyObject *pyArgs[] = {0};

    // invalid argument lengths


    if (!PyArg_UnpackTuple(args, "QJSPrimitiveValue", 0, 1, &(pyArgs[0])))
        return -1;


    // Overloaded function decisor
    // 0: QJSPrimitiveValue::QJSPrimitiveValue()
    // 1: QJSPrimitiveValue::QJSPrimitiveValue(QString)
    // 2: QJSPrimitiveValue::QJSPrimitiveValue(bool)
    // 3: QJSPrimitiveValue::QJSPrimitiveValue(QVariant)
    // 4: QJSPrimitiveValue::QJSPrimitiveValue(double)
    // 5: QJSPrimitiveValue::QJSPrimitiveValue(int)
    if (numArgs == 0) {
        overloadId = 0; // QJSPrimitiveValue()
    } else if (numArgs == 1
        && PyFloat_Check(pyArgs[0]) && (pythonToCpp[0] = Shiboken::Conversions::pythonToCppConversion(Shiboken::Conversions::PrimitiveTypeConverter<double>(), (pyArgs[0])))) {
        overloadId = 4; // QJSPrimitiveValue(double)
    } else if (numArgs == 1
        && PyBool_Check(pyArgs[0]) && (pythonToCpp[0] = Shiboken::Conversions::pythonToCppConversion(Shiboken::Conversions::PrimitiveTypeConverter<bool>(), (pyArgs[0])))) {
        overloadId = 2; // QJSPrimitiveValue(bool)
    } else if (numArgs == 1
        && (pythonToCpp[0] = Shiboken::Conversions::pythonToCppConversion(Shiboken::Conversions::PrimitiveTypeConverter<int>(), (pyArgs[0])))) {
        overloadId = 5; // QJSPrimitiveValue(int)
    } else if (numArgs == 1
        && (pythonToCpp[0] = Shiboken::Conversions::pythonToCppConversion(SbkPySide6_QtCoreTypeConverters[SBK_QSTRING_IDX], (pyArgs[0])))) {
        overloadId = 1; // QJSPrimitiveValue(QString)
    } else if (numArgs == 1
        && (pythonToCpp[0] = Shiboken::Conversions::pythonToCppConversion(SbkPySide6_QtCoreTypeConverters[SBK_QVARIANT_IDX], (pyArgs[0])))) {
        overloadId = 3; // QJSPrimitiveValue(QVariant)
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QJSPrimitiveValue_Init_TypeError;

    // Call function/method
    switch (overloadId) {
        case 0: // QJSPrimitiveValue()
        {

            if (!PyErr_Occurred()) {
                // QJSPrimitiveValue()
                cptr = new ::QJSPrimitiveValue();
            }
            break;
        }
        case 1: // QJSPrimitiveValue(QString string)
        {
            ::QString cppArg0;
            pythonToCpp[0](pyArgs[0], &cppArg0);

            if (!PyErr_Occurred()) {
                // QJSPrimitiveValue(QString)
                cptr = new ::QJSPrimitiveValue(cppArg0);
            }
            break;
        }
        case 2: // QJSPrimitiveValue(bool value)
        {
            bool cppArg0;
            pythonToCpp[0](pyArgs[0], &cppArg0);

            if (!PyErr_Occurred()) {
                // QJSPrimitiveValue(bool)
                cptr = new ::QJSPrimitiveValue(cppArg0);
            }
            break;
        }
        case 3: // QJSPrimitiveValue(const QVariant & variant)
        {
            ::QVariant cppArg0;
            pythonToCpp[0](pyArgs[0], &cppArg0);

            if (!PyErr_Occurred()) {
                // QJSPrimitiveValue(QVariant)
                cptr = new ::QJSPrimitiveValue(cppArg0);
            }
            break;
        }
        case 4: // QJSPrimitiveValue(double value)
        {
            double cppArg0;
            pythonToCpp[0](pyArgs[0], &cppArg0);

            if (!PyErr_Occurred()) {
                // QJSPrimitiveValue(double)
                cptr = new ::QJSPrimitiveValue(cppArg0);
            }
            break;
        }
        case 5: // QJSPrimitiveValue(int value)
        {
            int cppArg0;
            pythonToCpp[0](pyArgs[0], &cppArg0);

            if (!PyErr_Occurred()) {
                // QJSPrimitiveValue(int)
                cptr = new ::QJSPrimitiveValue(cppArg0);
            }
            break;
        }
    }

    if (PyErr_Occurred() || !Shiboken::Object::setCppPointer(sbkSelf, Shiboken::SbkType< ::QJSPrimitiveValue >(), cptr)) {
        delete cptr;
        return -1;
    }
    if (!cptr) goto Sbk_QJSPrimitiveValue_Init_TypeError;

    Shiboken::Object::setValidCpp(sbkSelf, true);
    if (Shiboken::BindingManager::instance().hasWrapper(cptr)) {
        Shiboken::BindingManager::instance().releaseWrapper(Shiboken::BindingManager::instance().retrieveWrapper(cptr));
    }
    Shiboken::BindingManager::instance().registerWrapper(sbkSelf, cptr);


    return 1;

    Sbk_QJSPrimitiveValue_Init_TypeError:
        Shiboken::setErrorAboutWrongArguments(args, fullName, errInfo);
        return -1;
}

static PyObject *Sbk_QJSPrimitiveValueFunc_equals(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QJSPrimitiveValue *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtQml.QJSPrimitiveValue.equals";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    // Overloaded function decisor
    // 0: QJSPrimitiveValue::equals(QJSPrimitiveValue)const->bool
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppReferenceConversion(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], (pyArg)))) {
        overloadId = 0; // equals(QJSPrimitiveValue)const
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QJSPrimitiveValueFunc_equals_TypeError;

    // Call function/method
    {
        if (!Shiboken::Object::isValid(pyArg))
            return {};
        ::QJSPrimitiveValue cppArg0_local;
        ::QJSPrimitiveValue *cppArg0 = &cppArg0_local;
        if (pythonToCpp.isValue())
            pythonToCpp(pyArg, &cppArg0_local);
        else
            pythonToCpp(pyArg, &cppArg0);


        if (!PyErr_Occurred()) {
            // equals(QJSPrimitiveValue)const
            bool cppResult = const_cast<const ::QJSPrimitiveValue *>(cppSelf)->equals(*cppArg0);
            pyResult = Shiboken::Conversions::copyToPython(Shiboken::Conversions::PrimitiveTypeConverter<bool>(), &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;

    Sbk_QJSPrimitiveValueFunc_equals_TypeError:
        Shiboken::setErrorAboutWrongArguments(pyArg, fullName, errInfo);
        return {};
}

static PyObject *Sbk_QJSPrimitiveValueFunc_strictlyEquals(PyObject *self, PyObject *pyArg)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QJSPrimitiveValue *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtQml.QJSPrimitiveValue.strictlyEquals";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    // Overloaded function decisor
    // 0: QJSPrimitiveValue::strictlyEquals(QJSPrimitiveValue)const->bool
    if ((pythonToCpp = Shiboken::Conversions::pythonToCppReferenceConversion(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], (pyArg)))) {
        overloadId = 0; // strictlyEquals(QJSPrimitiveValue)const
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QJSPrimitiveValueFunc_strictlyEquals_TypeError;

    // Call function/method
    {
        if (!Shiboken::Object::isValid(pyArg))
            return {};
        ::QJSPrimitiveValue cppArg0_local;
        ::QJSPrimitiveValue *cppArg0 = &cppArg0_local;
        if (pythonToCpp.isValue())
            pythonToCpp(pyArg, &cppArg0_local);
        else
            pythonToCpp(pyArg, &cppArg0);


        if (!PyErr_Occurred()) {
            // strictlyEquals(QJSPrimitiveValue)const
            bool cppResult = const_cast<const ::QJSPrimitiveValue *>(cppSelf)->strictlyEquals(*cppArg0);
            pyResult = Shiboken::Conversions::copyToPython(Shiboken::Conversions::PrimitiveTypeConverter<bool>(), &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;

    Sbk_QJSPrimitiveValueFunc_strictlyEquals_TypeError:
        Shiboken::setErrorAboutWrongArguments(pyArg, fullName, errInfo);
        return {};
}

static PyObject *Sbk_QJSPrimitiveValueFunc_toBoolean(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QJSPrimitiveValue *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtQml.QJSPrimitiveValue.toBoolean";
    SBK_UNUSED(fullName)

    // Call function/method
    {

        if (!PyErr_Occurred()) {
            // toBoolean()const
            bool cppResult = const_cast<const ::QJSPrimitiveValue *>(cppSelf)->toBoolean();
            pyResult = Shiboken::Conversions::copyToPython(Shiboken::Conversions::PrimitiveTypeConverter<bool>(), &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}

static PyObject *Sbk_QJSPrimitiveValueFunc_toDouble(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QJSPrimitiveValue *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtQml.QJSPrimitiveValue.toDouble";
    SBK_UNUSED(fullName)

    // Call function/method
    {

        if (!PyErr_Occurred()) {
            // toDouble()const
            double cppResult = const_cast<const ::QJSPrimitiveValue *>(cppSelf)->toDouble();
            pyResult = Shiboken::Conversions::copyToPython(Shiboken::Conversions::PrimitiveTypeConverter<double>(), &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}

static PyObject *Sbk_QJSPrimitiveValueFunc_toInteger(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QJSPrimitiveValue *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtQml.QJSPrimitiveValue.toInteger";
    SBK_UNUSED(fullName)

    // Call function/method
    {

        if (!PyErr_Occurred()) {
            // toInteger()const
            int cppResult = const_cast<const ::QJSPrimitiveValue *>(cppSelf)->toInteger();
            pyResult = Shiboken::Conversions::copyToPython(Shiboken::Conversions::PrimitiveTypeConverter<int>(), &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}

static PyObject *Sbk_QJSPrimitiveValueFunc_toString(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QJSPrimitiveValue *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtQml.QJSPrimitiveValue.toString";
    SBK_UNUSED(fullName)

    // Call function/method
    {

        if (!PyErr_Occurred()) {
            // toString()const
            QString cppResult = const_cast<const ::QJSPrimitiveValue *>(cppSelf)->toString();
            pyResult = Shiboken::Conversions::copyToPython(SbkPySide6_QtCoreTypeConverters[SBK_QSTRING_IDX], &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}

static PyObject *Sbk_QJSPrimitiveValueFunc_toVariant(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QJSPrimitiveValue *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtQml.QJSPrimitiveValue.toVariant";
    SBK_UNUSED(fullName)

    // Call function/method
    {

        if (!PyErr_Occurred()) {
            // toVariant()const
            QVariant cppResult = const_cast<const ::QJSPrimitiveValue *>(cppSelf)->toVariant();
            pyResult = Shiboken::Conversions::copyToPython(SbkPySide6_QtCoreTypeConverters[SBK_QVARIANT_IDX], &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}

static PyObject *Sbk_QJSPrimitiveValueFunc_type(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QJSPrimitiveValue *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtQml.QJSPrimitiveValue.type";
    SBK_UNUSED(fullName)

    // Call function/method
    {

        if (!PyErr_Occurred()) {
            // type()const
            QJSPrimitiveValue::Type cppResult = const_cast<const ::QJSPrimitiveValue *>(cppSelf)->type();
            pyResult = Shiboken::Conversions::copyToPython(PepType_SETP(reinterpret_cast<SbkEnumType *>(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_TYPE_IDX]))->converter, &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}

static PyObject *Sbk_QJSPrimitiveValue___copy__(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto &cppSelf = *reinterpret_cast< ::QJSPrimitiveValue *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], reinterpret_cast<SbkObject *>(self)));
    PyObject *pyResult = Shiboken::Conversions::copyToPython(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], &cppSelf);
    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}


static const char *Sbk_QJSPrimitiveValue_PropertyStrings[] = {
    nullptr // Sentinel
};

static PyMethodDef Sbk_QJSPrimitiveValue_methods[] = {
    {"equals", reinterpret_cast<PyCFunction>(Sbk_QJSPrimitiveValueFunc_equals), METH_O},
    {"strictlyEquals", reinterpret_cast<PyCFunction>(Sbk_QJSPrimitiveValueFunc_strictlyEquals), METH_O},
    {"toBoolean", reinterpret_cast<PyCFunction>(Sbk_QJSPrimitiveValueFunc_toBoolean), METH_NOARGS},
    {"toDouble", reinterpret_cast<PyCFunction>(Sbk_QJSPrimitiveValueFunc_toDouble), METH_NOARGS},
    {"toInteger", reinterpret_cast<PyCFunction>(Sbk_QJSPrimitiveValueFunc_toInteger), METH_NOARGS},
    {"toString", reinterpret_cast<PyCFunction>(Sbk_QJSPrimitiveValueFunc_toString), METH_NOARGS},
    {"toVariant", reinterpret_cast<PyCFunction>(Sbk_QJSPrimitiveValueFunc_toVariant), METH_NOARGS},
    {"type", reinterpret_cast<PyCFunction>(Sbk_QJSPrimitiveValueFunc_type), METH_NOARGS},

    {"__copy__", reinterpret_cast<PyCFunction>(Sbk_QJSPrimitiveValue___copy__), METH_NOARGS},
    {nullptr, nullptr} // Sentinel
};

static PyObject *Sbk_QJSPrimitiveValueFunc___mod__(PyObject *self, PyObject *pyArg)
{
    bool isReverse = SbkObject_TypeCheck(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], pyArg)
                    && !SbkObject_TypeCheck(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], self);
    if (isReverse)
        std::swap(self, pyArg);
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QJSPrimitiveValue *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtQml.QJSPrimitiveValue.__mod__";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    // Overloaded function decisor
    // 0: QJSPrimitiveValue::operator%(QJSPrimitiveValue)->QJSPrimitiveValue
    if (!isReverse
        && (pythonToCpp = Shiboken::Conversions::pythonToCppReferenceConversion(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], (pyArg)))) {
        overloadId = 0; // operator%(QJSPrimitiveValue,QJSPrimitiveValue)
    }

    if (isReverse && overloadId == -1) {
        PyErr_SetString(PyExc_NotImplementedError, "reverse operator not implemented.");
        return {};
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QJSPrimitiveValueFunc___mod___TypeError;

    // Call function/method
    {
        if (!Shiboken::Object::isValid(pyArg))
            return {};
        ::QJSPrimitiveValue cppArg0_local;
        ::QJSPrimitiveValue *cppArg0 = &cppArg0_local;
        if (pythonToCpp.isValue())
            pythonToCpp(pyArg, &cppArg0_local);
        else
            pythonToCpp(pyArg, &cppArg0);


        if (!PyErr_Occurred()) {
            // operator%(QJSPrimitiveValue,QJSPrimitiveValue)
            QJSPrimitiveValue cppResult = (*cppSelf) % (*cppArg0);
            pyResult = Shiboken::Conversions::copyToPython(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;

    Sbk_QJSPrimitiveValueFunc___mod___TypeError:
        Shiboken::setErrorAboutWrongArguments(pyArg, fullName, errInfo);
        return {};
}

static PyObject *Sbk_QJSPrimitiveValueFunc___mul__(PyObject *self, PyObject *pyArg)
{
    bool isReverse = SbkObject_TypeCheck(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], pyArg)
                    && !SbkObject_TypeCheck(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], self);
    if (isReverse)
        std::swap(self, pyArg);
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QJSPrimitiveValue *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtQml.QJSPrimitiveValue.__mul__";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    // Overloaded function decisor
    // 0: QJSPrimitiveValue::operator*(QJSPrimitiveValue)->QJSPrimitiveValue
    if (!isReverse
        && (pythonToCpp = Shiboken::Conversions::pythonToCppReferenceConversion(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], (pyArg)))) {
        overloadId = 0; // operator*(QJSPrimitiveValue,QJSPrimitiveValue)
    }

    if (isReverse && overloadId == -1) {
        PyErr_SetString(PyExc_NotImplementedError, "reverse operator not implemented.");
        return {};
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QJSPrimitiveValueFunc___mul___TypeError;

    // Call function/method
    {
        if (!Shiboken::Object::isValid(pyArg))
            return {};
        ::QJSPrimitiveValue cppArg0_local;
        ::QJSPrimitiveValue *cppArg0 = &cppArg0_local;
        if (pythonToCpp.isValue())
            pythonToCpp(pyArg, &cppArg0_local);
        else
            pythonToCpp(pyArg, &cppArg0);


        if (!PyErr_Occurred()) {
            // operator*(QJSPrimitiveValue,QJSPrimitiveValue)
            QJSPrimitiveValue cppResult = (*cppSelf) * (*cppArg0);
            pyResult = Shiboken::Conversions::copyToPython(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;

    Sbk_QJSPrimitiveValueFunc___mul___TypeError:
        Shiboken::setErrorAboutWrongArguments(pyArg, fullName, errInfo);
        return {};
}

static PyObject *Sbk_QJSPrimitiveValueFunc___pos__(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QJSPrimitiveValue *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtQml.QJSPrimitiveValue.__pos__";
    SBK_UNUSED(fullName)

    // Call function/method
    {

        if (!PyErr_Occurred()) {
            // operator+()
            QJSPrimitiveValue cppResult = + (*cppSelf);
            pyResult = Shiboken::Conversions::copyToPython(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}

static PyObject *Sbk_QJSPrimitiveValueFunc___add__(PyObject *self, PyObject *pyArg)
{
    bool isReverse = SbkObject_TypeCheck(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], pyArg)
                    && !SbkObject_TypeCheck(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], self);
    if (isReverse)
        std::swap(self, pyArg);
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QJSPrimitiveValue *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtQml.QJSPrimitiveValue.__add__";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    // Overloaded function decisor
    // 0: QJSPrimitiveValue::operator+(QJSPrimitiveValue)->QJSPrimitiveValue
    if (!isReverse
        && (pythonToCpp = Shiboken::Conversions::pythonToCppReferenceConversion(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], (pyArg)))) {
        overloadId = 0; // operator+(QJSPrimitiveValue,QJSPrimitiveValue)
    }

    if (isReverse && overloadId == -1) {
        PyErr_SetString(PyExc_NotImplementedError, "reverse operator not implemented.");
        return {};
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QJSPrimitiveValueFunc___add___TypeError;

    // Call function/method
    {
        if (!Shiboken::Object::isValid(pyArg))
            return {};
        ::QJSPrimitiveValue cppArg0_local;
        ::QJSPrimitiveValue *cppArg0 = &cppArg0_local;
        if (pythonToCpp.isValue())
            pythonToCpp(pyArg, &cppArg0_local);
        else
            pythonToCpp(pyArg, &cppArg0);


        if (!PyErr_Occurred()) {
            // operator+(QJSPrimitiveValue,QJSPrimitiveValue)
            QJSPrimitiveValue cppResult = (*cppSelf) + (*cppArg0);
            pyResult = Shiboken::Conversions::copyToPython(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;

    Sbk_QJSPrimitiveValueFunc___add___TypeError:
        Shiboken::setErrorAboutWrongArguments(pyArg, fullName, errInfo);
        return {};
}

static PyObject *Sbk_QJSPrimitiveValueFunc___iadd__(PyObject *self, PyObject *pyArg)
{
    bool isReverse = SbkObject_TypeCheck(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], pyArg)
                    && !SbkObject_TypeCheck(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], self);
    if (isReverse)
        std::swap(self, pyArg);
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QJSPrimitiveValue *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtQml.QJSPrimitiveValue.__iadd__";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    // Overloaded function decisor
    // 0: QJSPrimitiveValue::operator++(int)->QJSPrimitiveValue
    if (!isReverse
        && (pythonToCpp = Shiboken::Conversions::pythonToCppConversion(Shiboken::Conversions::PrimitiveTypeConverter<int>(), (pyArg)))) {
        overloadId = 0; // operator++(int)
    }

    if (isReverse && overloadId == -1) {
        PyErr_SetString(PyExc_NotImplementedError, "reverse operator not implemented.");
        return {};
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QJSPrimitiveValueFunc___iadd___TypeError;

    // Call function/method
    {
        int cppArg0;
        pythonToCpp(pyArg, &cppArg0);

        if (!PyErr_Occurred()) {
            // operator++(int)

            for (int i = 0; i < cppArg0; ++i, ++(*cppSelf));
            QJSPrimitiveValue cppResult = (*cppSelf);
            pyResult = Shiboken::Conversions::copyToPython(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;

    Sbk_QJSPrimitiveValueFunc___iadd___TypeError:
        Shiboken::setErrorAboutWrongArguments(pyArg, fullName, errInfo);
        return {};
}

static PyObject *Sbk_QJSPrimitiveValueFunc___neg__(PyObject *self)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QJSPrimitiveValue *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtQml.QJSPrimitiveValue.__neg__";
    SBK_UNUSED(fullName)

    // Call function/method
    {

        if (!PyErr_Occurred()) {
            // operator-()
            QJSPrimitiveValue cppResult = - (*cppSelf);
            pyResult = Shiboken::Conversions::copyToPython(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;
}

static PyObject *Sbk_QJSPrimitiveValueFunc___sub__(PyObject *self, PyObject *pyArg)
{
    bool isReverse = SbkObject_TypeCheck(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], pyArg)
                    && !SbkObject_TypeCheck(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], self);
    if (isReverse)
        std::swap(self, pyArg);
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QJSPrimitiveValue *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtQml.QJSPrimitiveValue.__sub__";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    // Overloaded function decisor
    // 0: QJSPrimitiveValue::operator-(QJSPrimitiveValue)->QJSPrimitiveValue
    if (!isReverse
        && (pythonToCpp = Shiboken::Conversions::pythonToCppReferenceConversion(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], (pyArg)))) {
        overloadId = 0; // operator-(QJSPrimitiveValue,QJSPrimitiveValue)
    }

    if (isReverse && overloadId == -1) {
        PyErr_SetString(PyExc_NotImplementedError, "reverse operator not implemented.");
        return {};
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QJSPrimitiveValueFunc___sub___TypeError;

    // Call function/method
    {
        if (!Shiboken::Object::isValid(pyArg))
            return {};
        ::QJSPrimitiveValue cppArg0_local;
        ::QJSPrimitiveValue *cppArg0 = &cppArg0_local;
        if (pythonToCpp.isValue())
            pythonToCpp(pyArg, &cppArg0_local);
        else
            pythonToCpp(pyArg, &cppArg0);


        if (!PyErr_Occurred()) {
            // operator-(QJSPrimitiveValue,QJSPrimitiveValue)
            QJSPrimitiveValue cppResult = (*cppSelf) - (*cppArg0);
            pyResult = Shiboken::Conversions::copyToPython(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;

    Sbk_QJSPrimitiveValueFunc___sub___TypeError:
        Shiboken::setErrorAboutWrongArguments(pyArg, fullName, errInfo);
        return {};
}

static PyObject *Sbk_QJSPrimitiveValueFunc___isub__(PyObject *self, PyObject *pyArg)
{
    bool isReverse = SbkObject_TypeCheck(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], pyArg)
                    && !SbkObject_TypeCheck(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], self);
    if (isReverse)
        std::swap(self, pyArg);
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QJSPrimitiveValue *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtQml.QJSPrimitiveValue.__isub__";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    // Overloaded function decisor
    // 0: QJSPrimitiveValue::operator--(int)->QJSPrimitiveValue
    if (!isReverse
        && (pythonToCpp = Shiboken::Conversions::pythonToCppConversion(Shiboken::Conversions::PrimitiveTypeConverter<int>(), (pyArg)))) {
        overloadId = 0; // operator--(int)
    }

    if (isReverse && overloadId == -1) {
        PyErr_SetString(PyExc_NotImplementedError, "reverse operator not implemented.");
        return {};
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QJSPrimitiveValueFunc___isub___TypeError;

    // Call function/method
    {
        int cppArg0;
        pythonToCpp(pyArg, &cppArg0);

        if (!PyErr_Occurred()) {
            // operator--(int)

            for (int i = 0; i < cppArg0; ++i, --(*cppSelf));
            QJSPrimitiveValue cppResult = (*cppSelf);
            pyResult = Shiboken::Conversions::copyToPython(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;

    Sbk_QJSPrimitiveValueFunc___isub___TypeError:
        Shiboken::setErrorAboutWrongArguments(pyArg, fullName, errInfo);
        return {};
}

static PyObject *Sbk_QJSPrimitiveValueFunc___div__(PyObject *self, PyObject *pyArg)
{
    bool isReverse = SbkObject_TypeCheck(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], pyArg)
                    && !SbkObject_TypeCheck(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], self);
    if (isReverse)
        std::swap(self, pyArg);
    if (!Shiboken::Object::isValid(self))
        return {};
    auto cppSelf = reinterpret_cast< ::QJSPrimitiveValue *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::AutoDecRef errInfo{};
    static const char *fullName = "PySide6.QtQml.QJSPrimitiveValue.__div__";
    SBK_UNUSED(fullName)
    int overloadId = -1;
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    // Overloaded function decisor
    // 0: QJSPrimitiveValue::operator/(QJSPrimitiveValue)->QJSPrimitiveValue
    if (!isReverse
        && (pythonToCpp = Shiboken::Conversions::pythonToCppReferenceConversion(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], (pyArg)))) {
        overloadId = 0; // operator/(QJSPrimitiveValue,QJSPrimitiveValue)
    }

    if (isReverse && overloadId == -1) {
        PyErr_SetString(PyExc_NotImplementedError, "reverse operator not implemented.");
        return {};
    }

    // Function signature not found.
    if (overloadId == -1) goto Sbk_QJSPrimitiveValueFunc___div___TypeError;

    // Call function/method
    {
        if (!Shiboken::Object::isValid(pyArg))
            return {};
        ::QJSPrimitiveValue cppArg0_local;
        ::QJSPrimitiveValue *cppArg0 = &cppArg0_local;
        if (pythonToCpp.isValue())
            pythonToCpp(pyArg, &cppArg0_local);
        else
            pythonToCpp(pyArg, &cppArg0);


        if (!PyErr_Occurred()) {
            // operator/(QJSPrimitiveValue,QJSPrimitiveValue)
            QJSPrimitiveValue cppResult = (*cppSelf) / (*cppArg0);
            pyResult = Shiboken::Conversions::copyToPython(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], &cppResult);
        }
    }

    if (PyErr_Occurred() || !pyResult) {
        Py_XDECREF(pyResult);
        return {};
    }
    return pyResult;

    Sbk_QJSPrimitiveValueFunc___div___TypeError:
        Shiboken::setErrorAboutWrongArguments(pyArg, fullName, errInfo);
        return {};
}

// Rich comparison
static PyObject * Sbk_QJSPrimitiveValue_richcompare(PyObject *self, PyObject *pyArg, int op)
{
    if (!Shiboken::Object::isValid(self))
        return {};
    auto &cppSelf = *reinterpret_cast< ::QJSPrimitiveValue *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], reinterpret_cast<SbkObject *>(self)));
    SBK_UNUSED(cppSelf)
    PyObject *pyResult{};
    Shiboken::Conversions::PythonToCppConversion pythonToCpp;
    SBK_UNUSED(pythonToCpp)

    switch (op) {
        case Py_NE:
            if ((pythonToCpp = Shiboken::Conversions::pythonToCppReferenceConversion(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], (pyArg)))) {
                // operator!=(const QJSPrimitiveValue & rhs)
                if (!Shiboken::Object::isValid(pyArg))
                    return {};
                ::QJSPrimitiveValue cppArg0_local;
                ::QJSPrimitiveValue *cppArg0 = &cppArg0_local;
                if (pythonToCpp.isValue())
                    pythonToCpp(pyArg, &cppArg0_local);
                else
                    pythonToCpp(pyArg, &cppArg0);

                bool cppResult = cppSelf !=(*cppArg0);
                pyResult = Shiboken::Conversions::copyToPython(Shiboken::Conversions::PrimitiveTypeConverter<bool>(), &cppResult);
            } else {
                pyResult = Py_True;
                Py_INCREF(pyResult);
            }

            break;
        case Py_LT:
            if ((pythonToCpp = Shiboken::Conversions::pythonToCppReferenceConversion(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], (pyArg)))) {
                // operator<(const QJSPrimitiveValue & rhs)
                if (!Shiboken::Object::isValid(pyArg))
                    return {};
                ::QJSPrimitiveValue cppArg0_local;
                ::QJSPrimitiveValue *cppArg0 = &cppArg0_local;
                if (pythonToCpp.isValue())
                    pythonToCpp(pyArg, &cppArg0_local);
                else
                    pythonToCpp(pyArg, &cppArg0);

                bool cppResult = cppSelf <(*cppArg0);
                pyResult = Shiboken::Conversions::copyToPython(Shiboken::Conversions::PrimitiveTypeConverter<bool>(), &cppResult);
            } else {
                goto Sbk_QJSPrimitiveValue_RichComparison_TypeError;
            }

            break;
        case Py_LE:
            if ((pythonToCpp = Shiboken::Conversions::pythonToCppReferenceConversion(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], (pyArg)))) {
                // operator<=(const QJSPrimitiveValue & rhs)
                if (!Shiboken::Object::isValid(pyArg))
                    return {};
                ::QJSPrimitiveValue cppArg0_local;
                ::QJSPrimitiveValue *cppArg0 = &cppArg0_local;
                if (pythonToCpp.isValue())
                    pythonToCpp(pyArg, &cppArg0_local);
                else
                    pythonToCpp(pyArg, &cppArg0);

                bool cppResult = cppSelf <=(*cppArg0);
                pyResult = Shiboken::Conversions::copyToPython(Shiboken::Conversions::PrimitiveTypeConverter<bool>(), &cppResult);
            } else {
                goto Sbk_QJSPrimitiveValue_RichComparison_TypeError;
            }

            break;
        case Py_EQ:
            if ((pythonToCpp = Shiboken::Conversions::pythonToCppReferenceConversion(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], (pyArg)))) {
                // operator==(const QJSPrimitiveValue & rhs)
                if (!Shiboken::Object::isValid(pyArg))
                    return {};
                ::QJSPrimitiveValue cppArg0_local;
                ::QJSPrimitiveValue *cppArg0 = &cppArg0_local;
                if (pythonToCpp.isValue())
                    pythonToCpp(pyArg, &cppArg0_local);
                else
                    pythonToCpp(pyArg, &cppArg0);

                bool cppResult = cppSelf ==(*cppArg0);
                pyResult = Shiboken::Conversions::copyToPython(Shiboken::Conversions::PrimitiveTypeConverter<bool>(), &cppResult);
            } else {
                pyResult = Py_False;
                Py_INCREF(pyResult);
            }

            break;
        case Py_GT:
            if ((pythonToCpp = Shiboken::Conversions::pythonToCppReferenceConversion(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], (pyArg)))) {
                // operator>(const QJSPrimitiveValue & rhs)
                if (!Shiboken::Object::isValid(pyArg))
                    return {};
                ::QJSPrimitiveValue cppArg0_local;
                ::QJSPrimitiveValue *cppArg0 = &cppArg0_local;
                if (pythonToCpp.isValue())
                    pythonToCpp(pyArg, &cppArg0_local);
                else
                    pythonToCpp(pyArg, &cppArg0);

                bool cppResult = cppSelf >(*cppArg0);
                pyResult = Shiboken::Conversions::copyToPython(Shiboken::Conversions::PrimitiveTypeConverter<bool>(), &cppResult);
            } else {
                goto Sbk_QJSPrimitiveValue_RichComparison_TypeError;
            }

            break;
        case Py_GE:
            if ((pythonToCpp = Shiboken::Conversions::pythonToCppReferenceConversion(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], (pyArg)))) {
                // operator>=(const QJSPrimitiveValue & rhs)
                if (!Shiboken::Object::isValid(pyArg))
                    return {};
                ::QJSPrimitiveValue cppArg0_local;
                ::QJSPrimitiveValue *cppArg0 = &cppArg0_local;
                if (pythonToCpp.isValue())
                    pythonToCpp(pyArg, &cppArg0_local);
                else
                    pythonToCpp(pyArg, &cppArg0);

                bool cppResult = cppSelf >=(*cppArg0);
                pyResult = Shiboken::Conversions::copyToPython(Shiboken::Conversions::PrimitiveTypeConverter<bool>(), &cppResult);
            } else {
                goto Sbk_QJSPrimitiveValue_RichComparison_TypeError;
            }

            break;
        default:
            // PYSIDE-74: By default, we redirect to object's tp_richcompare (which is `==`, `!=`).
            return FallbackRichCompare(self, pyArg, op);
            goto Sbk_QJSPrimitiveValue_RichComparison_TypeError;
    }

    if (pyResult && !PyErr_Occurred())
        return pyResult;
    Sbk_QJSPrimitiveValue_RichComparison_TypeError:
    PyErr_SetString(PyExc_NotImplementedError, "operator not implemented.");
    return {};

}

} // extern "C"

static int Sbk_QJSPrimitiveValue_traverse(PyObject *self, visitproc visit, void *arg)
{
    return SbkObject_TypeF()->tp_traverse(self, visit, arg);
}
static int Sbk_QJSPrimitiveValue_clear(PyObject *self)
{
    return reinterpret_cast<PyTypeObject *>(SbkObject_TypeF())->tp_clear(self);
}
// Class Definition -----------------------------------------------
extern "C" {
static PyTypeObject *_Sbk_QJSPrimitiveValue_Type = nullptr;
static PyTypeObject *Sbk_QJSPrimitiveValue_TypeF(void)
{
    return _Sbk_QJSPrimitiveValue_Type;
}

static PyType_Slot Sbk_QJSPrimitiveValue_slots[] = {
    {Py_tp_base,        nullptr}, // inserted by introduceWrapperType
    {Py_tp_dealloc,     reinterpret_cast<void *>(&SbkDeallocWrapper)},
    {Py_tp_repr,        nullptr},
    {Py_tp_hash,        nullptr},
    {Py_tp_call,        nullptr},
    {Py_tp_str,         nullptr},
    {Py_tp_getattro,    nullptr},
    {Py_tp_setattro,    nullptr},
    {Py_tp_traverse,    reinterpret_cast<void *>(Sbk_QJSPrimitiveValue_traverse)},
    {Py_tp_clear,       reinterpret_cast<void *>(Sbk_QJSPrimitiveValue_clear)},
    {Py_tp_richcompare, reinterpret_cast<void *>(Sbk_QJSPrimitiveValue_richcompare)},
    {Py_tp_iter,        nullptr},
    {Py_tp_iternext,    nullptr},
    {Py_tp_methods,     reinterpret_cast<void *>(Sbk_QJSPrimitiveValue_methods)},
    {Py_tp_getset,      nullptr},
    {Py_tp_init,        reinterpret_cast<void *>(Sbk_QJSPrimitiveValue_Init)},
    {Py_tp_new,         reinterpret_cast<void *>(SbkObjectTpNew)},
    // type supports number protocol
    {Py_nb_inplace_add, reinterpret_cast<void *>(Sbk_QJSPrimitiveValueFunc___iadd__)},
    {Py_nb_subtract, reinterpret_cast<void *>(Sbk_QJSPrimitiveValueFunc___sub__)},
    {Py_nb_inplace_subtract, reinterpret_cast<void *>(Sbk_QJSPrimitiveValueFunc___isub__)},
    {Py_nb_positive, reinterpret_cast<void *>(Sbk_QJSPrimitiveValueFunc___pos__)},
    {Py_nb_multiply, reinterpret_cast<void *>(Sbk_QJSPrimitiveValueFunc___mul__)},
    {Py_nb_negative, reinterpret_cast<void *>(Sbk_QJSPrimitiveValueFunc___neg__)},
    {Py_nb_remainder, reinterpret_cast<void *>(Sbk_QJSPrimitiveValueFunc___mod__)},
    {Py_nb_add, reinterpret_cast<void *>(Sbk_QJSPrimitiveValueFunc___add__)},
    {Py_nb_true_divide, reinterpret_cast<void *>(Sbk_QJSPrimitiveValueFunc___div__)},
    {0, nullptr}
};
static PyType_Spec Sbk_QJSPrimitiveValue_spec = {
    "2:PySide6.QtQml.QJSPrimitiveValue",
    sizeof(SbkObject),
    0,
    Py_TPFLAGS_DEFAULT|Py_TPFLAGS_BASETYPE|Py_TPFLAGS_HAVE_GC,
    Sbk_QJSPrimitiveValue_slots
};

} //extern "C"


// Type conversion functions.

// Python to C++ enum conversion.
static void QJSPrimitiveValue_Type_PythonToCpp_QJSPrimitiveValue_Type(PyObject *pyIn, void *cppOut)
{
    *reinterpret_cast<::QJSPrimitiveValue::Type *>(cppOut) =
        static_cast<::QJSPrimitiveValue::Type>(Shiboken::Enum::getValue(pyIn));

}
static PythonToCppFunc is_QJSPrimitiveValue_Type_PythonToCpp_QJSPrimitiveValue_Type_Convertible(PyObject *pyIn)
{
    if (PyObject_TypeCheck(pyIn, SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_TYPE_IDX]))
        return QJSPrimitiveValue_Type_PythonToCpp_QJSPrimitiveValue_Type;
    return {};
}
static PyObject *QJSPrimitiveValue_Type_CppToPython_QJSPrimitiveValue_Type(const void *cppIn)
{
    const int castCppIn = int(*reinterpret_cast<const ::QJSPrimitiveValue::Type *>(cppIn));
    return Shiboken::Enum::newItem(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_TYPE_IDX], castCppIn);

}

// Python to C++ pointer conversion - returns the C++ object of the Python wrapper (keeps object identity).
static void QJSPrimitiveValue_PythonToCpp_QJSPrimitiveValue_PTR(PyObject *pyIn, void *cppOut)
{
    Shiboken::Conversions::pythonToCppPointer(Sbk_QJSPrimitiveValue_TypeF(), pyIn, cppOut);
}
static PythonToCppFunc is_QJSPrimitiveValue_PythonToCpp_QJSPrimitiveValue_PTR_Convertible(PyObject *pyIn)
{
    if (pyIn == Py_None)
        return Shiboken::Conversions::nonePythonToCppNullPtr;
    if (PyObject_TypeCheck(pyIn, reinterpret_cast<PyTypeObject *>(Sbk_QJSPrimitiveValue_TypeF())))
        return QJSPrimitiveValue_PythonToCpp_QJSPrimitiveValue_PTR;
    return {};
}

// C++ to Python pointer conversion - tries to find the Python wrapper for the C++ object (keeps object identity).
static PyObject *QJSPrimitiveValue_PTR_CppToPython_QJSPrimitiveValue(const void *cppIn)
{
    auto pyOut = reinterpret_cast<PyObject *>(Shiboken::BindingManager::instance().retrieveWrapper(cppIn));
    if (pyOut) {
        Py_INCREF(pyOut);
        return pyOut;
    }
    bool changedTypeName = false;
    auto tCppIn = reinterpret_cast<const ::QJSPrimitiveValue *>(cppIn);
    const char *typeName = typeid(*tCppIn).name();
    auto sbkType = Shiboken::ObjectType::typeForTypeName(typeName);
    if (sbkType && Shiboken::ObjectType::hasSpecialCastFunction(sbkType)) {
        typeName = typeNameOf(tCppIn);
        changedTypeName = true;
    }
    PyObject *result = Shiboken::Object::newObject(Sbk_QJSPrimitiveValue_TypeF(), const_cast<void *>(cppIn), false, /* exactType */ changedTypeName, typeName);
    if (changedTypeName)
        delete [] typeName;
    return result;
}

// C++ to Python copy conversion.
static PyObject *QJSPrimitiveValue_COPY_CppToPython_QJSPrimitiveValue(const void *cppIn)
{
    return Shiboken::Object::newObject(Sbk_QJSPrimitiveValue_TypeF(), new ::QJSPrimitiveValue(*reinterpret_cast<const ::QJSPrimitiveValue *>(cppIn)), true, true);
}

// Python to C++ copy conversion.
static void QJSPrimitiveValue_PythonToCpp_QJSPrimitiveValue_COPY(PyObject *pyIn, void *cppOut)
{
    *reinterpret_cast<::QJSPrimitiveValue *>(cppOut) = *reinterpret_cast< ::QJSPrimitiveValue *>(Shiboken::Conversions::cppPointer(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX], reinterpret_cast<SbkObject *>(pyIn)));
}
static PythonToCppFunc is_QJSPrimitiveValue_PythonToCpp_QJSPrimitiveValue_COPY_Convertible(PyObject *pyIn)
{
    if (PyObject_TypeCheck(pyIn, reinterpret_cast<PyTypeObject *>(Sbk_QJSPrimitiveValue_TypeF())))
        return QJSPrimitiveValue_PythonToCpp_QJSPrimitiveValue_COPY;
    return {};
}

// Implicit conversions.
static void PySide6_QtCore_QString_PythonToCpp_QJSPrimitiveValue(PyObject *pyIn, void *cppOut)
{
    ::QString cppIn;
    Shiboken::Conversions::pythonToCppCopy(SbkPySide6_QtCoreTypeConverters[SBK_QSTRING_IDX], pyIn, &cppIn);
    *reinterpret_cast<::QJSPrimitiveValue *>(cppOut) = ::QJSPrimitiveValue(cppIn);
}
static PythonToCppFunc is_PySide6_QtCore_QString_PythonToCpp_QJSPrimitiveValue_Convertible(PyObject *pyIn)
{
    if (PyUnicode_Check(pyIn))
        return PySide6_QtCore_QString_PythonToCpp_QJSPrimitiveValue;
    return {};
}

static void PySide6_QtCore_bool_PythonToCpp_QJSPrimitiveValue(PyObject *pyIn, void *cppOut)
{
    bool cppIn;
    Shiboken::Conversions::pythonToCppCopy(Shiboken::Conversions::PrimitiveTypeConverter<bool>(), pyIn, &cppIn);
    *reinterpret_cast<::QJSPrimitiveValue *>(cppOut) = ::QJSPrimitiveValue(cppIn);
}
static PythonToCppFunc is_PySide6_QtCore_bool_PythonToCpp_QJSPrimitiveValue_Convertible(PyObject *pyIn)
{
    if (PyBool_Check(pyIn))
        return PySide6_QtCore_bool_PythonToCpp_QJSPrimitiveValue;
    return {};
}

static void PySide6_QtCore_double_PythonToCpp_QJSPrimitiveValue(PyObject *pyIn, void *cppOut)
{
    double cppIn;
    Shiboken::Conversions::pythonToCppCopy(Shiboken::Conversions::PrimitiveTypeConverter<double>(), pyIn, &cppIn);
    *reinterpret_cast<::QJSPrimitiveValue *>(cppOut) = ::QJSPrimitiveValue(cppIn);
}
static PythonToCppFunc is_PySide6_QtCore_double_PythonToCpp_QJSPrimitiveValue_Convertible(PyObject *pyIn)
{
    if (PyFloat_Check(pyIn))
        return PySide6_QtCore_double_PythonToCpp_QJSPrimitiveValue;
    return {};
}

static void PySide6_QtCore_int_PythonToCpp_QJSPrimitiveValue(PyObject *pyIn, void *cppOut)
{
    int cppIn;
    Shiboken::Conversions::pythonToCppCopy(Shiboken::Conversions::PrimitiveTypeConverter<int>(), pyIn, &cppIn);
    *reinterpret_cast<::QJSPrimitiveValue *>(cppOut) = ::QJSPrimitiveValue(cppIn);
}
static PythonToCppFunc is_PySide6_QtCore_int_PythonToCpp_QJSPrimitiveValue_Convertible(PyObject *pyIn)
{
    if (PyLong_Check(pyIn))
        return PySide6_QtCore_int_PythonToCpp_QJSPrimitiveValue;
    return {};
}

// The signatures string for the functions.
// Multiple signatures have their index "n:" in front.
static const char *QJSPrimitiveValue_SignatureStrings[] = {
    "5:PySide6.QtQml.QJSPrimitiveValue(self)",
    "4:PySide6.QtQml.QJSPrimitiveValue(self,string:QString)",
    "3:PySide6.QtQml.QJSPrimitiveValue(self,value:bool)",
    "2:PySide6.QtQml.QJSPrimitiveValue(self,variant:QVariant)",
    "1:PySide6.QtQml.QJSPrimitiveValue(self,value:double)",
    "0:PySide6.QtQml.QJSPrimitiveValue(self,value:int)",
    "PySide6.QtQml.QJSPrimitiveValue.equals(self,other:typing.Union[PySide6.QtQml.QJSPrimitiveValue, QString, bool, double, int])->bool",
    "PySide6.QtQml.QJSPrimitiveValue.strictlyEquals(self,other:typing.Union[PySide6.QtQml.QJSPrimitiveValue, QString, bool, double, int])->bool",
    "PySide6.QtQml.QJSPrimitiveValue.toBoolean(self)->bool",
    "PySide6.QtQml.QJSPrimitiveValue.toDouble(self)->double",
    "PySide6.QtQml.QJSPrimitiveValue.toInteger(self)->int",
    "PySide6.QtQml.QJSPrimitiveValue.toString(self)->QString",
    "PySide6.QtQml.QJSPrimitiveValue.toVariant(self)->QVariant",
    "PySide6.QtQml.QJSPrimitiveValue.type(self)->PySide6.QtQml.QJSPrimitiveValue.Type",
    "PySide6.QtQml.QJSPrimitiveValue.__copy__()",
    "PySide6.QtQml.QJSPrimitiveValue.__mod__(self,rhs:typing.Union[PySide6.QtQml.QJSPrimitiveValue, QString, bool, double, int])->PySide6.QtQml.QJSPrimitiveValue",
    "PySide6.QtQml.QJSPrimitiveValue.__mul__(self,rhs:typing.Union[PySide6.QtQml.QJSPrimitiveValue, QString, bool, double, int])->PySide6.QtQml.QJSPrimitiveValue",
    "PySide6.QtQml.QJSPrimitiveValue.__pos__(self)->PySide6.QtQml.QJSPrimitiveValue",
    "PySide6.QtQml.QJSPrimitiveValue.__add__(self,rhs:typing.Union[PySide6.QtQml.QJSPrimitiveValue, QString, bool, double, int])->PySide6.QtQml.QJSPrimitiveValue",
    "PySide6.QtQml.QJSPrimitiveValue.__iadd__(self,arg__1:int)->PySide6.QtQml.QJSPrimitiveValue",
    "PySide6.QtQml.QJSPrimitiveValue.__neg__(self)->PySide6.QtQml.QJSPrimitiveValue",
    "PySide6.QtQml.QJSPrimitiveValue.__sub__(self,rhs:typing.Union[PySide6.QtQml.QJSPrimitiveValue, QString, bool, double, int])->PySide6.QtQml.QJSPrimitiveValue",
    "PySide6.QtQml.QJSPrimitiveValue.__isub__(self,arg__1:int)->PySide6.QtQml.QJSPrimitiveValue",
    "PySide6.QtQml.QJSPrimitiveValue.__div__(self,rhs:typing.Union[PySide6.QtQml.QJSPrimitiveValue, QString, bool, double, int])->PySide6.QtQml.QJSPrimitiveValue",
    nullptr}; // Sentinel

void init_QJSPrimitiveValue(PyObject *module)
{
    _Sbk_QJSPrimitiveValue_Type = Shiboken::ObjectType::introduceWrapperType(
        module,
        "QJSPrimitiveValue",
        "QJSPrimitiveValue",
        &Sbk_QJSPrimitiveValue_spec,
        &Shiboken::callCppDestructor< ::QJSPrimitiveValue >,
        0,
        0,
        0);
    auto *pyType = Sbk_QJSPrimitiveValue_TypeF(); // references _Sbk_QJSPrimitiveValue_Type
    InitSignatureStrings(pyType, QJSPrimitiveValue_SignatureStrings);
    SbkObjectType_SetPropertyStrings(reinterpret_cast<PyTypeObject *>(_Sbk_QJSPrimitiveValue_Type), Sbk_QJSPrimitiveValue_PropertyStrings);
    SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_IDX]
        = Sbk_QJSPrimitiveValue_TypeF();

    // Register Converter
    SbkConverter *converter = Shiboken::Conversions::createConverter(Sbk_QJSPrimitiveValue_TypeF(),
        QJSPrimitiveValue_PythonToCpp_QJSPrimitiveValue_PTR,
        is_QJSPrimitiveValue_PythonToCpp_QJSPrimitiveValue_PTR_Convertible,
        QJSPrimitiveValue_PTR_CppToPython_QJSPrimitiveValue,
        QJSPrimitiveValue_COPY_CppToPython_QJSPrimitiveValue);

    Shiboken::Conversions::registerConverterName(converter, "QJSPrimitiveValue");
    Shiboken::Conversions::registerConverterName(converter, "QJSPrimitiveValue*");
    Shiboken::Conversions::registerConverterName(converter, "QJSPrimitiveValue&");
    Shiboken::Conversions::registerConverterName(converter, typeid(::QJSPrimitiveValue).name());

    // Add Python to C++ copy (value, not pointer neither reference) conversion to type converter.
    Shiboken::Conversions::addPythonToCppValueConversion(converter,
        QJSPrimitiveValue_PythonToCpp_QJSPrimitiveValue_COPY,
        is_QJSPrimitiveValue_PythonToCpp_QJSPrimitiveValue_COPY_Convertible);
    // Add implicit conversions to type converter.
    Shiboken::Conversions::addPythonToCppValueConversion(converter,
        PySide6_QtCore_QString_PythonToCpp_QJSPrimitiveValue,
        is_PySide6_QtCore_QString_PythonToCpp_QJSPrimitiveValue_Convertible);
    Shiboken::Conversions::addPythonToCppValueConversion(converter,
        PySide6_QtCore_bool_PythonToCpp_QJSPrimitiveValue,
        is_PySide6_QtCore_bool_PythonToCpp_QJSPrimitiveValue_Convertible);
    Shiboken::Conversions::addPythonToCppValueConversion(converter,
        PySide6_QtCore_double_PythonToCpp_QJSPrimitiveValue,
        is_PySide6_QtCore_double_PythonToCpp_QJSPrimitiveValue_Convertible);
    Shiboken::Conversions::addPythonToCppValueConversion(converter,
        PySide6_QtCore_int_PythonToCpp_QJSPrimitiveValue,
        is_PySide6_QtCore_int_PythonToCpp_QJSPrimitiveValue_Convertible);

    // Initialization of enums.

    // Initialization of enum 'Type'.
    SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_TYPE_IDX] = Shiboken::Enum::createScopedEnum(Sbk_QJSPrimitiveValue_TypeF(),
        "Type",
        "2:PySide6.QtQml.QJSPrimitiveValue.Type",
        "QJSPrimitiveValue::Type");
    if (!SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_TYPE_IDX])
        return;

    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_TYPE_IDX],
        Sbk_QJSPrimitiveValue_TypeF(), "Undefined", (long) QJSPrimitiveValue::Type::Undefined))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_TYPE_IDX],
        Sbk_QJSPrimitiveValue_TypeF(), "Null", (long) QJSPrimitiveValue::Type::Null))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_TYPE_IDX],
        Sbk_QJSPrimitiveValue_TypeF(), "Boolean", (long) QJSPrimitiveValue::Type::Boolean))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_TYPE_IDX],
        Sbk_QJSPrimitiveValue_TypeF(), "Integer", (long) QJSPrimitiveValue::Type::Integer))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_TYPE_IDX],
        Sbk_QJSPrimitiveValue_TypeF(), "Double", (long) QJSPrimitiveValue::Type::Double))
        return;
    if (!Shiboken::Enum::createScopedEnumItem(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_TYPE_IDX],
        Sbk_QJSPrimitiveValue_TypeF(), "String", (long) QJSPrimitiveValue::Type::String))
        return;
    // Register converter for enum 'QJSPrimitiveValue::Type'.
    {
        SbkConverter *converter = Shiboken::Conversions::createConverter(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_TYPE_IDX],
            QJSPrimitiveValue_Type_CppToPython_QJSPrimitiveValue_Type);
        Shiboken::Conversions::addPythonToCppValueConversion(converter,
            QJSPrimitiveValue_Type_PythonToCpp_QJSPrimitiveValue_Type,
            is_QJSPrimitiveValue_Type_PythonToCpp_QJSPrimitiveValue_Type_Convertible);
        Shiboken::Enum::setTypeConverter(SbkPySide6_QtQmlTypes[SBK_QJSPRIMITIVEVALUE_TYPE_IDX], converter, false);
        Shiboken::Conversions::registerConverterName(converter, "QJSPrimitiveValue::Type");
        Shiboken::Conversions::registerConverterName(converter, "Type");
    }
    // End of 'Type' enum.

    qRegisterMetaType< ::QJSPrimitiveValue >("QJSPrimitiveValue");
    qRegisterMetaType< ::QJSPrimitiveValue::Type >("QJSPrimitiveValue::Type");
}
